Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charvax.swing.event
Class TableModelEvent

    java.lang.Object
      java.util.EventObject
          charvax.swing.event.TableModelEvent

All Implemented Interfaces:
  java.io.Serializable

public class TableModelEvent
extends java.util.EventObject

This event is fired when the data in a table changes.

See Also:
  Serialized Form

Field Summary
`static int` | `ALL_COLUMNS`
`static int` | `DELETE`
`static int` | `INSERT`
`static int` | `UPDATE`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TableModelEvent(TableModel source_)` All row data has changed; listeners should discard all state and re-query the TableModel.
`TableModelEvent(TableModel source_, int row_)` This row of data has been updated.
`TableModelEvent(TableModel source_, int firstRow_, int lastRow_)` The data in rows [firstRow_, lastRow] have been updated.
`TableModelEvent(TableModel source_, int firstRow_, int lastRow_, int column_)` The cells in the specified column in rows [firstRow_, lastRow] have been updated.
`TableModelEvent(TableModel source_, int firstRow_, int lastRow_, int column_, int type_)`

Method Summary
`int` | `getColumn()`
`int` | `getFirstRow()` Get the index of the first row that changed
`int` | `getLastRow()` Get the index of the last row that changed
`int` | `getType()` Returns the type of event - one of INSERT, UPDATE or DELETE.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DELETE

    public static final int DELETE

See Also:
  Constant Field Values

### INSERT

    public static final int INSERT

See Also:
  Constant Field Values

### UPDATE

    public static final int UPDATE

See Also:
  Constant Field Values

### ALL_COLUMNS

    public static final int ALL_COLUMNS

See Also:
  Constant Field Values

Constructor Detail

### TableModelEvent

    public TableModelEvent(TableModel source_)

  All row data has changed; listeners should discard all state and re-query the TableModel.

### TableModelEvent

    public TableModelEvent(TableModel source_,
                           int row_)

  This row of data has been updated.

### TableModelEvent

    public TableModelEvent(TableModel source_,
                           int firstRow_,
                           int lastRow_)

  The data in rows [firstRow_, lastRow] have been updated.

### TableModelEvent

    public TableModelEvent(TableModel source_,
                           int firstRow_,
                           int lastRow_,
                           int column_)

  The cells in the specified column in rows [firstRow_, lastRow] have been updated.

### TableModelEvent

    public TableModelEvent(TableModel source_,
                           int firstRow_,
                           int lastRow_,
                           int column_,
                           int type_)

Method Detail

### getFirstRow

    public int getFirstRow()

  Get the index of the first row that changed

### getLastRow

    public int getLastRow()

  Get the index of the last row that changed

### getColumn

    public int getColumn()

### getType

    public int getType()

  Returns the type of event - one of INSERT, UPDATE or DELETE.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD